For the complete documentation index, see llms.txt.
Orders
PUT
/api/orders/batchupdateBatch Update Orders
You can use the batch update order api to update the carrier information on a list of unshipped orders. You can update:
Orders
Create, search, update, tag, archive, restore, and list orders before shipping.
18 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/orders/batchupdate
Details
You can use the batch update order api to update the carrier information on a list of unshipped orders. You can update:
- Product Code
- Carrier Id
Batch Update Orders Request
Batch Update Orders Response
Request body
{
"order_ids": [
128306022
],
"product_code": "7B05",
"carrier_id": "10"
}Response examples
Batch Update Orders (200)
{
"success": true
}Related endpoints
List Orders (Unshipped)GET /api/orders/unshippedList Orders (Printed or Unmanifested)GET /api/orders/shipmentsList Orders (Shipped)GET /api/orders/shippedList Orders (Delivered)GET /api/orders/deliveredList Orders SummaryGET /api/orders/summarySearch OrdersGET /api/orders/searchGet Order(s)GET /api/ordersCreate OrderPOST /api/ordersCreate OrdersPOST /api/orders/importUpdate OrderPUT /api/ordersUpdate OrdersPUT /api/orders/updateDelete OrderDELETE /api/orders/deleteArchive OrderPOST /api/orders/archiveRestore OrderPOST /api/orders/restoreMerge OrdersPOST /api/orders/mergeGet Suggested MergesGET /api/orders/mergeableAssign OrdersPOST /api/orders/assign